public class EnumTypes {
  enum CivilStatus {
    UNMARRIED, MARRIED, DIVORCED, LIVEIN_PARTNER, REGISTERT_PARTNER,
    SINGLE_PARENT
  }
  public static void main(String[] args) {
    CivilStatus status = CivilStatus.LIVEIN_PARTNER;

    if (status == CivilStatus.LIVEIN_PARTNER) {
      System.out.println(status + ": taxed individually.");
    } else {
      System.out.println(status + ": see tax regulation rules.");
    }

    switch(status) { // (1)
      case UNMARRIED:
        System.out.println(status + ": tax bracket 1.");
        break;
      case DIVORCED: case LIVEIN_PARTNER:
        System.out.println(status + ": taxed individually.");
        break;
      case SINGLE_PARENT:
        System.out.println(status + ": tax bracket 2.");
        break;
      default:
        System.out.println(status + ": taxed as a couple.");
    }

    CivilStatus[] statusArray = CivilStatus.values();
    for (CivilStatus civilstatus : statusArray)
      System.out.println(civilstatus);
  }
}